Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.eventusermodel
Class HSSFUserException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.poi.hssf.eventusermodel.HSSFUserException

All Implemented Interfaces:
  java.io.Serializable

    public class HSSFUserException

extends java.lang.Exception

This exception is provided as a way for API users to throw exceptions from their event handling code. By doing so they abort file processing by the HSSFEventFactory and by catching it from outside the HSSFEventFactory.processEvents method they can diagnose the cause for the abort.

The HSSFUserException supports a nested "reason" throwable, i.e. an exception that caused this one to be thrown.

The HSSF package does not itself throw any of these exceptions.

Since:
  2002-04-19
Version:
  HSSFUserException.java,v 1.0
Author:
  Rainer Klute (klute@rainer-klute.de), Carey Sublette (careysub@earthling.net)
See Also:
  Serialized Form

Constructor Summary
`HSSFUserException()` Creates a new `HSSFUserException`.
`HSSFUserException(java.lang.String msg)` Creates a new `HSSFUserException` with a message string.
`HSSFUserException(java.lang.String msg, java.lang.Throwable reason)` Creates a new `HSSFUserException` with a message string and a reason.
`HSSFUserException(java.lang.Throwable reason)` Creates a new `HSSFUserException` with a reason.

Method Summary
`java.lang.Throwable` | `getReason()` Returns the `Throwable` that caused this exception to be thrown or `null` if there was no such `Throwable`.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HSSFUserException

    public HSSFUserException()

  Creates a new `HSSFUserException`.

### HSSFUserException

    public HSSFUserException(java.lang.String msg)

  Creates a new `HSSFUserException` with a message string.

### HSSFUserException

    public HSSFUserException(java.lang.Throwable reason)

  Creates a new `HSSFUserException` with a reason.

### HSSFUserException

    public HSSFUserException(java.lang.String msg,
                             java.lang.Throwable reason)

  Creates a new `HSSFUserException` with a message string and a reason.

Method Detail

### getReason

    public java.lang.Throwable getReason()

  Returns the `Throwable` that caused this exception to be thrown or `null` if there was no such `Throwable`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD